package com.gxzc.zen.rpc.api.sys

import com.gxzc.zen.api.sys.model.SysUser
import com.gxzc.zen.rpc.model.sys.RUserInfo

/**
 *
 * @author NorthLan
 * @date 2018/7/12
 * @url https://noahlan.com
 */
interface RUserService {

    /**
     * 获取指定角色的所有用户信息列表
     * 通过 角色代码 获取用户列表
     * @param code 角色代码
     */
    fun getUserListByRoleCode(code: String): MutableList<RUserInfo>

    /**
     * 通过RoleID获取用户列表
     * TODO 未完成
     */
    fun getUserListByRoleId(id: Long): MutableList<SysUser>
}